interactions:
- request:
    body: ''
    headers:
      accept:
      - application/json
      content-length:
      - '0'
    method: GET
    uri: https://gitlab.com/api/v4/projects/22233142/repository/tree?ref=master&path=/&recursive=True&per_page=20&pagination=keyset&page_token=
  response:
    body:
      string: '[{"id":"ab4865f2ddcfc6359ff49713d5bc1837c126b04d","name":"docs","type":"tree","path":"docs","mode":"040000"},{"id":"5e0c2a2b4d22cb2fdfcdd69169efb50fc55554ca","name":"src","type":"tree","path":"docs/src","mode":"040000"},{"id":"97f80cdaa168efecd967af416b7362db8a103c0f","name":"ska_cicd_services_api","type":"tree","path":"ska_cicd_services_api","mode":"040000"},{"id":"bddc3cc19c4da7b2196379ff3494d9901adda44b","name":"tests","type":"tree","path":"tests","mode":"040000"},{"id":"7abee1f28a8781a68bc24eb78a0ff73464516aa7","name":"unit","type":"tree","path":"tests/unit","mode":"040000"},{"id":"d0e4c582af0e22d0affce3de923929e4bc57de1f","name":"cassettes","type":"tree","path":"tests/unit/cassettes","mode":"040000"},{"id":"2b9d8a8712e8f592b01e8c9a652b350ddfc4475a","name":"test_gitlab","type":"tree","path":"tests/integration/cassettes/test_gitlab","mode":"040000"},{"id":"3385291a22e552ff86c048a21aacdbd43bc39517","name":"test_jira","type":"tree","path":"tests/integration/cassettes/test_jira","mode":"040000"},{"id":"39900b312f1c26cf0267ab928a81b55952b41e0d","name":"test_nexus","type":"tree","path":"tests/integration/cassettes/test_nexus","mode":"040000"},{"id":"fbba690f42bbe902c42416f2ac272afa54c5c892","name":"test_readthedocs","type":"tree","path":"tests/integration/cassettes/test_readthedocs","mode":"040000"},{"id":"8f207b02f2732923f77c777e4254c930cda4abe0","name":"files","type":"tree","path":"tests/unit/files","mode":"040000"},{"id":"50b64fb5031ddb13493701291b7541a9c6833c58","name":".flake8","type":"blob","path":".flake8","mode":"100644"},{"id":"d8c87e16505a4db9d1ae51a1277ba1ec281a0852","name":".gitignore","type":"blob","path":".gitignore","mode":"100644"},{"id":"b39f1de953c66593d40300ab17c11f87dc29d802","name":".gitlab-ci.yml","type":"blob","path":".gitlab-ci.yml","mode":"100644"},{"id":"5a1826a23a6529fd3894356822613c44a2a7d9b5","name":".pylintrc","type":"blob","path":".pylintrc","mode":"100644"},{"id":"c2650a7735d92b577e6b2d1feb2fc7982effac01","name":"LICENSE","type":"blob","path":"LICENSE","mode":"100644"},{"id":"cf38e69e8ee2d13282a5196ee4da0c7952df8759","name":"Makefile","type":"blob","path":"Makefile","mode":"100644"},{"id":"4827e537b9323cd71a228e9c83dc3b24c5b0e248","name":"README.md","type":"blob","path":"README.md","mode":"100644"},{"id":"e69de29bb2d1d6434b8b29ae775ad8c2e48c5391","name":"conftest.py","type":"blob","path":"conftest.py","mode":"100644"},{"id":"d8667e3824a30f725bc0feb49d6d96cbb53013a7","name":"Makefile","type":"blob","path":"docs/Makefile","mode":"100644"}]'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 6bb79124983b5d23-LIS
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Encoding:
      - gzip
      Content-Type:
      - application/json
      Date:
      - Fri, 10 Dec 2021 15:39:37 GMT
      Etag:
      - W/"3b6059af4050a293cf8ef4fd9c71440a"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-08-lb-gprd
      GitLab-SV:
      - localhost
      Link:
      - <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=2&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="next", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=1&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="first", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=5&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="last"
      NEL:
      - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '14'
      RateLimit-Remaining:
      - '1986'
      RateLimit-Reset:
      - '1639150837'
      RateLimit-ResetTime:
      - Fri, 10 Dec 2021 15:40:37 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=0bDYd5juK7Bvl1S%2FZpPd64CRQhi275Disym21VLXLMMH4RPrnU2wHPBIV6GULvzrWxj98j%2BbqqZvEDN3BMWVDV%2BVT0fOzfQ3Ua3jgR2kyWylNiGfqG76IAF%2FmtE%3D"}],"group":"cf-nel","max_age":604800}'
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Next-Page:
      - '2'
      X-Page:
      - '1'
      X-Per-Page:
      - '20'
      X-Prev-Page:
      - ''
      X-Request-Id:
      - 01FPJFZWT1T7X81TCHG3GXJE2H
      X-Runtime:
      - '0.067070'
      X-Total:
      - '84'
      X-Total-Pages:
      - '5'
    status:
      code: 200
      message: OK
    url: https://gitlab.com/api/v4/projects/22233142/repository/tree?ref=master&path=/&recursive=True&per_page=20&pagination=keyset&page_token=
- request:
    body: ''
    headers:
      accept:
      - application/json
      content-length:
      - '0'
    method: GET
    uri: https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=2&page_token=&pagination=keyset&path=/&per_page=20&recursive=true&ref=master
  response:
    body:
      string: '[{"id":"e34be1a4640e043993a5827201a824b82ac979b2","name":"requirements.txt","type":"blob","path":"docs/requirements.txt","mode":"100644"},{"id":"fe840054137e2ccda075344f21e728249a60a2fc","name":"README.md","type":"blob","path":"docs/src/README.md","mode":"120000"},{"id":"017b6ad1dc81a0d54e17a4aa5738a74995c5ed2c","name":"conf.py","type":"blob","path":"docs/src/conf.py","mode":"100644"},{"id":"8595517915ce064ccdeeee4c1ebd5b6395effa58","name":"index.rst","type":"blob","path":"docs/src/index.rst","mode":"100644"},{"id":"fd600e000d325fbd7332c9228a89f918d4b9dbae","name":"requirements-dev.txt","type":"blob","path":"requirements-dev.txt","mode":"100644"},{"id":"dee533f24d4a42b5339e1073f46d5ffa31632566","name":"requirements-lint.txt","type":"blob","path":"requirements-lint.txt","mode":"100644"},{"id":"8ce67e35f1460dbd461eb69393eb736e05b733d5","name":"requirements-test.txt","type":"blob","path":"requirements-test.txt","mode":"100644"},{"id":"1bc04e044c00ad09a00d06e5d2eb513b8224574b","name":"requirements.txt","type":"blob","path":"requirements.txt","mode":"100644"},{"id":"c61af2f880ca32c6739d589f34b84e8e6975d1a5","name":"setup.cfg","type":"blob","path":"setup.cfg","mode":"100644"},{"id":"ecc99a8e51e5db398637c9c3cc5b6dd8c71925ec","name":"setup.py","type":"blob","path":"setup.py","mode":"100644"},{"id":"961b7d3b635635434fa6e7dcf2ff9c7154d520cc","name":"__init__.py","type":"blob","path":"ska_cicd_services_api/__init__.py","mode":"100644"},{"id":"3d09cdf94b9d895715c8dc398b5fe377720c8e0b","name":"gitlab.py","type":"blob","path":"ska_cicd_services_api/gitlab.py","mode":"100644"},{"id":"6462d903346f4fbe2d383758e5c3bcc3e0353844","name":"jira.py","type":"blob","path":"ska_cicd_services_api/jira.py","mode":"100644"},{"id":"521feba57052db82d6e7bf85b431de61e284dacd","name":"nexus.py","type":"blob","path":"ska_cicd_services_api/nexus.py","mode":"100644"},{"id":"e3b4204d0c3dc86bbfd2c8b158c3428409d7ffd3","name":"readthedocs.py","type":"blob","path":"ska_cicd_services_api/readthedocs.py","mode":"100644"},{"id":"e69de29bb2d1d6434b8b29ae775ad8c2e48c5391","name":"__init__.py","type":"blob","path":"tests/unit/__init__.py","mode":"100644"},{"id":"61bafbe67a5790d6d291df0fc06703fa486872a2","name":"test_add_comment.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_add_comment.yaml","mode":"100644"},{"id":"275062315b23069ac92854f644fecd010d862eab","name":"test_create_branch.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_create_branch.yaml","mode":"100644"},{"id":"b03914641b302c0f1e7928cfacb122acc67e5081","name":"test_create_mr.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_create_mr.yaml","mode":"100644"},{"id":"34bc92bf9a24edbdc8edd566720d7aceb26bb045","name":"test_delete_branch.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_delete_branch.yaml","mode":"100644"}]'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 6bb791261ba85d23-LIS
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Encoding:
      - gzip
      Content-Type:
      - application/json
      Date:
      - Fri, 10 Dec 2021 15:39:37 GMT
      Etag:
      - W/"3a588f604069aea28a4b6b8abb6e580b"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-19-lb-gprd
      GitLab-SV:
      - localhost
      Link:
      - <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=1&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="prev", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=3&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="next", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=1&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="first", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=5&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="last"
      NEL:
      - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '15'
      RateLimit-Remaining:
      - '1985'
      RateLimit-Reset:
      - '1639150837'
      RateLimit-ResetTime:
      - Fri, 10 Dec 2021 15:40:37 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=G%2F%2B%2BvS%2BPnDZybE0rhFqZJEXjjTRfcpHTHUpAqN5rFLDZQZ1Me5FCCUbc3YTtB9DY7B8Rtqsc3TNjYSDQQXD3RZguvmj3uigRtO%2Bz1H8YRl2qofC47PurQd6aDv4%3D"}],"group":"cf-nel","max_age":604800}'
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Next-Page:
      - '3'
      X-Page:
      - '2'
      X-Per-Page:
      - '20'
      X-Prev-Page:
      - '1'
      X-Request-Id:
      - 01FPJFZX1A75J5EP0FH2VP0S1H
      X-Runtime:
      - '0.072773'
      X-Total:
      - '84'
      X-Total-Pages:
      - '5'
    status:
      code: 200
      message: OK
    url: https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=2&page_token=&pagination=keyset&path=/&per_page=20&recursive=true&ref=master
- request:
    body: ''
    headers:
      accept:
      - application/json
      content-length:
      - '0'
    method: GET
    uri: https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=3&page_token=&pagination=keyset&path=/&per_page=20&recursive=true&ref=master
  response:
    body:
      string: '[{"id":"781253cc84c22cf9eaf19bd3ea31ccbca2795dd5","name":"test_get_comment_info.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_comment_info.yaml","mode":"100644"},{"id":"fe6d57436c2ab0df33a9165ef870eb6201c90cd3","name":"test_get_commit_diffs.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_commit_diffs.yaml","mode":"100644"},{"id":"49fc9068e3617d2d749a5e8aaf0a6bf9340b9ab5","name":"test_get_file_from_repository.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_file_from_repository.yaml","mode":"100644"},{"id":"438122e38aaee946d3b03b0385eecea84063bc36","name":"test_get_merge_request_approvals_info.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_merge_request_approvals_info.yaml","mode":"100644"},{"id":"c2785af138b9b35135e07b7555c66f7206098781","name":"test_get_merge_request_comments.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_merge_request_comments.yaml","mode":"100644"},{"id":"48d92366a49b6eca93f0addc47127a31fc9147d4","name":"test_get_merge_request_commits.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_merge_request_commits.yaml","mode":"100644"},{"id":"3749e8cce929aec907bbd0e2ea6931b0a3c78c20","name":"test_get_merge_request_info.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_merge_request_info.yaml","mode":"100644"},{"id":"5c9b1d0879f384e03424b31f987e88926250b6a4","name":"test_get_merge_requests.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_merge_requests.yaml","mode":"100644"},{"id":"e7699e71091a0edd84c8a919d0c90ab31a80e41a","name":"test_get_merge_requests_not.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_merge_requests_not.yaml","mode":"100644"},{"id":"55fe29f80c4895fa86c7944467cd1ae00edb289d","name":"test_get_mr_diff_versions.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_mr_diff_versions.yaml","mode":"100644"},{"id":"cb1d7ced9d2b2ffd313b6a6a676306a730881d15","name":"test_get_project_hooks.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_project_hooks.yaml","mode":"100644"},{"id":"bf65a27988be1bbff677ee89a67fa58a903cb59e","name":"test_get_project_license.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_project_license.yaml","mode":"100644"},{"id":"94eb9813ec6a28f0e79f429ab9bae5227f55711a","name":"test_get_project_members.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_project_members.yaml","mode":"100644"},{"id":"362c8537a681ca3bf919f22325f1d9af7b9a843a","name":"test_get_project_merge_request_approvals_info.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_project_merge_request_approvals_info.yaml","mode":"100644"},{"id":"aa4fd6f96c63a8bab80bfb87099f106c95ff5ddc","name":"test_get_project_settings_info.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_project_settings_info.yaml","mode":"100644"},{"id":"a4aa88cd9bd8e357c0e6371a37e70f6881c7c888","name":"test_get_repo_tree.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_repo_tree.yaml","mode":"100644"},{"id":"5888887e254a12940ddd222453a9bbc7dae3765b","name":"test_get_search_results.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_search_results.yaml","mode":"100644"},{"id":"a8a04c46fc01ced3d758184c23337354268f79ac","name":"test_get_single_mr_diff_version.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_get_single_mr_diff_version.yaml","mode":"100644"},{"id":"c7500a9a39e3f63ddfd4324e228ace223d89a58e","name":"test_modify_comment.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_modify_comment.yaml","mode":"100644"},{"id":"e9a18dd2e7cbfb557aab07713f971c4dfdd6edc0","name":"test_remove_comment.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_remove_comment.yaml","mode":"100644"}]'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 6bb791278ec45d23-LIS
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Encoding:
      - gzip
      Content-Type:
      - application/json
      Date:
      - Fri, 10 Dec 2021 15:39:37 GMT
      Etag:
      - W/"888f53bcf6eca3ba19f99d8695798e62"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-05-lb-gprd
      GitLab-SV:
      - localhost
      Link:
      - <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=2&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="prev", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=4&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="next", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=1&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="first", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=5&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="last"
      NEL:
      - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '16'
      RateLimit-Remaining:
      - '1984'
      RateLimit-Reset:
      - '1639150837'
      RateLimit-ResetTime:
      - Fri, 10 Dec 2021 15:40:37 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=R3Ae7wDvNYQ%2BIpBXdqPrxdpaWiili2aQ6WFlJw8NyYuowk1xQTemMqcDVokwZTY0yzO5CKyfQUi2iipnVkoOhkAXHg77QjGp32m4qo%2FLweeBuijMxxOAoRXKiUw%3D"}],"group":"cf-nel","max_age":604800}'
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Next-Page:
      - '4'
      X-Page:
      - '3'
      X-Per-Page:
      - '20'
      X-Prev-Page:
      - '2'
      X-Request-Id:
      - 01FPJFZX8MXNPE3YT3TKX7Z9JF
      X-Runtime:
      - '0.063006'
      X-Total:
      - '84'
      X-Total-Pages:
      - '5'
    status:
      code: 200
      message: OK
    url: https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=3&page_token=&pagination=keyset&path=/&per_page=20&recursive=true&ref=master
- request:
    body: ''
    headers:
      accept:
      - application/json
      content-length:
      - '0'
    method: GET
    uri: https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=4&page_token=&pagination=keyset&path=/&per_page=20&recursive=true&ref=master
  response:
    body:
      string: '[{"id":"0eece2651904e02486fb0263f8f0a233618a62c3","name":"test_trigger_scanning.yaml","type":"blob","path":"tests/integration/cassettes/test_gitlab/test_trigger_scanning.yaml","mode":"100644"},{"id":"d78774d8ef930d41d2617ba5383bc0f8c39cf5e6","name":"test_auth.yaml","type":"blob","path":"tests/integration/cassettes/test_jira/test_auth.yaml","mode":"100644"},{"id":"f8275d4baf83f9733ed7e2b7bdb62bbfc7830088","name":"test_comment_on_existing_issue_with_issue_key.yaml","type":"blob","path":"tests/integration/cassettes/test_jira/test_comment_on_existing_issue_with_issue_key.yaml","mode":"100644"},{"id":"a7577564298eb9787673dc2e3479df996ea3bce2","name":"test_fail_to_get_an_issue.yaml","type":"blob","path":"tests/integration/cassettes/test_jira/test_fail_to_get_an_issue.yaml","mode":"100644"},{"id":"c1d95b56fbb9ee889195eef416f3236b6630af3d","name":"test_get_issue.yaml","type":"blob","path":"tests/integration/cassettes/test_jira/test_get_issue.yaml","mode":"100644"},{"id":"f66635a3fa1256fb6542298227925562a60de458","name":"test_get_projects.yaml","type":"blob","path":"tests/integration/cassettes/test_jira/test_get_projects.yaml","mode":"100644"},{"id":"c8b536ead521a8f49a795c6e7c04182f68d430c1","name":"test_unable_to_create_issues_with_wrong_issue_type.yaml","type":"blob","path":"tests/integration/cassettes/test_jira/test_unable_to_create_issues_with_wrong_issue_type.yaml","mode":"100644"},{"id":"e0f1b7ed0496843182b7412dfb103f2d2304a520","name":"test_get_component_info.yaml","type":"blob","path":"tests/integration/cassettes/test_nexus/test_get_component_info.yaml","mode":"100644"},{"id":"09cb2cfc000fedb6b1532c14bb79d76d73e84bcb","name":"test_get_component_info_fail.yaml","type":"blob","path":"tests/integration/cassettes/test_nexus/test_get_component_info_fail.yaml","mode":"100644"},{"id":"89177addc75df35be885deb1597ea70e4eeb88ae","name":"test_get_components_list.yaml","type":"blob","path":"tests/integration/cassettes/test_nexus/test_get_components_list.yaml","mode":"100644"},{"id":"a37f12867d18d2826195900a74e8bf095771abd9","name":"test_get_components_list_fail.yaml","type":"blob","path":"tests/integration/cassettes/test_nexus/test_get_components_list_fail.yaml","mode":"100644"},{"id":"fa9372552b2e064effd9a99cdea3d78c9eb486b6","name":"test_remove_component.yaml","type":"blob","path":"tests/integration/cassettes/test_nexus/test_remove_component.yaml","mode":"100644"},{"id":"bae8c3b00f9ccdcff9060f71339d215626b8377c","name":"test_remove_component_fail.yaml","type":"blob","path":"tests/integration/cassettes/test_nexus/test_remove_component_fail.yaml","mode":"100644"},{"id":"595d3c57cf9532a678d5c3bf1284244bca746c32","name":"test_get_subproject_detail.yaml","type":"blob","path":"tests/integration/cassettes/test_readthedocs/test_get_subproject_detail.yaml","mode":"100644"},{"id":"bcaeae1f03ebd56ebb8ac0e5dd8eff2063683905","name":"test_get_subproject_detail_fail.yaml","type":"blob","path":"tests/integration/cassettes/test_readthedocs/test_get_subproject_detail_fail.yaml","mode":"100644"},{"id":"319fe81ec48f6e815d1376c187d0bf80471d7102","name":"test_get_subprojects_list.yaml","type":"blob","path":"tests/integration/cassettes/test_readthedocs/test_get_subprojects_list.yaml","mode":"100644"},{"id":"378b82f7f9534a7597227e251ce2ae49b25b0134","name":"test_get_subprojects_list_fail.yaml","type":"blob","path":"tests/integration/cassettes/test_readthedocs/test_get_subprojects_list_fail.yaml","mode":"100644"},{"id":"e619ac7e114b922c6a7886dd7bebe6a6959eaf65","name":"database_mock.json","type":"blob","path":"tests/unit/files/database_mock.json","mode":"100644"},{"id":"2f4581bf5bc179182219de0e00afba1db77703b1","name":"test_upload_component.txt","type":"blob","path":"tests/unit/files/test_upload_component.txt","mode":"100644"},{"id":"24f44e8a179d1dfda5692858d7227734c6794445","name":"test_gitlab.py","type":"blob","path":"tests/unit/test_gitlab.py","mode":"100644"}]'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 6bb79128f99d5d23-LIS
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Encoding:
      - gzip
      Content-Type:
      - application/json
      Date:
      - Fri, 10 Dec 2021 15:39:37 GMT
      Etag:
      - W/"6560d36a258bf5c5219cdb3603331276"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-03-lb-gprd
      GitLab-SV:
      - localhost
      Link:
      - <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=3&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="prev", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=5&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="next", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=1&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="first", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=5&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="last"
      NEL:
      - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '17'
      RateLimit-Remaining:
      - '1983'
      RateLimit-Reset:
      - '1639150837'
      RateLimit-ResetTime:
      - Fri, 10 Dec 2021 15:40:37 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=GA%2FetGZn0n%2Bs%2BFkNAEW6V8aNoLa8n84%2B67ctGmTKBJbgqaJ3JVovtduAAEJxISNN%2FtVxMKBk2AxtNSpp%2BqFdUFcHFST3mksVLqR%2BksjVls1BswhbymytEwEJlxU%3D"}],"group":"cf-nel","max_age":604800}'
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Next-Page:
      - '5'
      X-Page:
      - '4'
      X-Per-Page:
      - '20'
      X-Prev-Page:
      - '3'
      X-Request-Id:
      - 01FPJFZXFWHSG126GAC57ZR0BS
      X-Runtime:
      - '0.065203'
      X-Total:
      - '84'
      X-Total-Pages:
      - '5'
    status:
      code: 200
      message: OK
    url: https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=4&page_token=&pagination=keyset&path=/&per_page=20&recursive=true&ref=master
- request:
    body: ''
    headers:
      accept:
      - application/json
      content-length:
      - '0'
    method: GET
    uri: https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=5&page_token=&pagination=keyset&path=/&per_page=20&recursive=true&ref=master
  response:
    body:
      string: '[{"id":"971eb0f7757ca37a471f0e5abfb0c1d44a63db57","name":"test_jira.py","type":"blob","path":"tests/unit/test_jira.py","mode":"100644"},{"id":"74f84afa632eb6eed8410b9f2619284e9759ce2b","name":"test_nexus.py","type":"blob","path":"tests/unit/test_nexus.py","mode":"100644"},{"id":"8e522f17e01316262102535c15753faea812c907","name":"test_readthedocs.py","type":"blob","path":"tests/unit/test_readthedocs.py","mode":"100644"},{"id":"60411c9b690536c23f4d27ea7ea04e2280c3d071","name":"tox.ini","type":"blob","path":"tox.ini","mode":"100644"}]'
    headers:
      CF-Cache-Status:
      - DYNAMIC
      CF-RAY:
      - 6bb7912a7cb65d23-LIS
      Cache-Control:
      - max-age=0, private, must-revalidate
      Connection:
      - keep-alive
      Content-Encoding:
      - gzip
      Content-Type:
      - application/json
      Date:
      - Fri, 10 Dec 2021 15:39:38 GMT
      Etag:
      - W/"933ecf9a6bba9ccc959f46319932ed20"
      Expect-CT:
      - max-age=604800, report-uri="https://report-uri.cloudflare.com/cdn-cgi/beacon/expect-ct"
      GitLab-LB:
      - fe-08-lb-gprd
      GitLab-SV:
      - localhost
      Link:
      - <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=4&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="prev", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=1&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="first", <https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=5&page_token=&pagination=keyset&path=%2F&per_page=20&recursive=true&ref=master>;
        rel="last"
      NEL:
      - '{"success_fraction":0.01,"report_to":"cf-nel","max_age":604800}'
      RateLimit-Limit:
      - '2000'
      RateLimit-Observed:
      - '17'
      RateLimit-Remaining:
      - '1983'
      RateLimit-Reset:
      - '1639150838'
      RateLimit-ResetTime:
      - Fri, 10 Dec 2021 15:40:38 GMT
      Referrer-Policy:
      - strict-origin-when-cross-origin
      Report-To:
      - '{"endpoints":[{"url":"https:\/\/a.nel.cloudflare.com\/report\/v3?s=yMPuIIiJurzE%2BiDvx3xQDsxbqZOIa%2FpbvZ8SMHQ1yBlI%2BhN%2BP6jxUYXEASBb%2FKj%2Bai8ptqBu2DZCaTciLN35LTp0c7Yqz4M7BJGMPjcxHaFA28SWkBkrfQ1CZhY%3D"}],"group":"cf-nel","max_age":604800}'
      Server:
      - cloudflare
      Strict-Transport-Security:
      - max-age=31536000
      Transfer-Encoding:
      - chunked
      Vary:
      - Origin
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Next-Page:
      - ''
      X-Page:
      - '5'
      X-Per-Page:
      - '20'
      X-Prev-Page:
      - '4'
      X-Request-Id:
      - 01FPJFZXQCPR9SMYP7PC2MJM19
      X-Runtime:
      - '0.075277'
      X-Total:
      - '84'
      X-Total-Pages:
      - '5'
    status:
      code: 200
      message: OK
    url: https://gitlab.com/api/v4/projects/22233142/repository/tree?id=22233142&page=5&page_token=&pagination=keyset&path=/&per_page=20&recursive=true&ref=master
version: 1
